
D4Science Infrastructure - Task #9549

Make R scripts inherit user name and VRE
Status: Closed Start date: Aug 30, 2017

Priority: Normal Due date:  

Assignee: Gianpaolo Coro % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: Data Processing   

Infrastructure: Development   

Description

The R scripts are going to inherit the user's token. Indeed, also the user name and the called VRE should be added, which are

already present in the AlgorithmConfiguration object.

History

#1 - Aug 31, 2017 05:55 PM - Lucio Lelii

- Status changed from New to Feedback

- Assignee changed from Lucio Lelii to Gianpaolo Coro

- % Done changed from 0 to 90

the 2 new environment properties are gcube_username and gcube_context. This version is deplyed in gcube/devNext/NextNext.

#2 - Sep 01, 2017 03:20 PM - Gianpaolo Coro

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

It works well, now three parameters are inherited: gcube_username, gcube_context, and gcube_token

#3 - Sep 01, 2017 05:10 PM - Gianpaolo Coro

- Tracker changed from Support to Task

#4 - Sep 01, 2017 05:10 PM - Lucio Lelii

this feature has been released in 4.6.1
